## Stream Messages

**post** `/api/v1/chat/{session_id}/messages/stream`

Stream agent events for a chat turn as Server-Sent Events.

### Path Parameters

- `session_id: string`

### Query Parameters

- `organization_id: optional string`

- `project_id: optional string`

### Cookie Parameters

- `session: optional string`

### Body Parameters

- `index_ids: array of string`

  Indexes to retrieve data from.

- `prompt: string`

  User message for this chat turn.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v1/chat/$SESSION_ID/messages/stream \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "index_ids": [
            "idx-abc123",
            "idx-def456"
          ],
          "prompt": "What were the main findings in Q3?"
        }'
```

#### Response

```json
{}
```
